// main.cc

#include "Simulator.h"
#include <fstream>

int main( int argc, const char *argv[] )
{
	int rc = EXIT_SUCCESS;
	
	ofstream test1("summary.dat", ios::nocreate);
	ofstream test2("niche-state-iteration-1", ios::nocreate);
	
	if (test1.good() || test2.good())
	{
		cerr << "Data files already exist in directory! Remove them then start again!" << endl;
		rc = EXIT_FAILURE;
	}
	else
	{
		test1.close();
		test2.close();
		
		Simulator::loadParameterValues( "params.txt" );
		
		Simulator sim;
		
		sim.run( Simulator::NUM_ITERATIONS );
	}

	return rc;
}
