// Gene.h

#ifndef __Gene_h__
#define __Gene_h__

#include <iostream>

class Gene
{
public:

	Gene( bool bRandomCreate = false );
	Gene( int function, int partition, int spread, int repeat, int op );
	~Gene();

	void randomCreate( bool bDisturbanceGene = false );
	void mutate( bool bDisturbanceGene = false );
	int getSpread() const;

	static const int NUM_FUNCTIONS = 16;
	static const int NUM_PARTITIONS = 9;
	static const int NUM_OPERATORS = 16;
	static const int MAX_SPREAD = NUM_PARTITIONS / 2;
	static const int MAX_REPEAT = NUM_PARTITIONS / 2;


private:
	
	int	m_Function;
	int m_Partition;
	int m_Spread;
	int m_Repeat;
	int m_Operator;

	friend class EnvVector;
	friend class Patch; // only required for Patch::test
	friend ostream& operator << (ostream& os, Gene& id);

};


inline Gene::~Gene()
{
}


inline int Gene::getSpread() const
{
	return m_Spread;
}


#endif
